Gemini Omni Video 1.1
Create Gemini Omni Video 1.1 tasks through the SJinn REST API
Tool Overview
Gemini Omni Video 1.1 creates videos from a text prompt plus optional image and video references. It adds selectable output resolution to the Gemini Omni Video contract.
Tool Identifier
gemini-omni-11-video-api
Parameters
Required Parameters
prompt
- Type:
string - Description: Text description of the video to generate
Optional Parameters
image_urls
- Type:
string[] - Default:
[] - Limit: Up to 7 image URLs
video
- Type:
string - Description: Optional single reference video URL
aspect_ratio
- Type:
string - Default:
"16:9" - Supported Values:
"16:9","9:16"
duration
- Type:
number - Default:
4 - Supported Values:
4,6,8,10
resolution
- Type:
string - Default:
"360p" - Supported Values:
"360p","720p","1080p","4k"
Pricing
Credits are calculated as duration × resolution rate.
| Resolution | Credits per second |
|---|---|
| 360P | 30 |
| 720P | 100 |
| 1080P | 150 |
| 4K | 300 |
Request Example
curl -X POST https://sjinn.ai/api/un-api/create_tool_task \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"tool_type": "gemini-omni-11-video-api",
"input": {
"prompt": "A robot walking through a neon city at night",
"image_urls": ["https://example.com/reference.jpg"],
"video": "https://example.com/camera-motion.mp4",
"aspect_ratio": "16:9",
"duration": 8,
"resolution": "1080p"
}
}'
Success Response
{
"success": true,
"errorMsg": "",
"error_code": 0,
"data": {
"task_id": "550e8400-e29b-41d4-a716-446655440000"
}
}
Poll the returned task ID with query_tool_task_status until the task completes or fails.
